"use strict";
/* Socket Lib - Built with rolldown */
Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
const require_primordials_uncurry = require('./uncurry.js');

//#region src/primordials/url.ts
/**
* @file Safe references to `URL`, `URLSearchParams`, and the
*   `URLSearchParams.prototype` methods.
*/
const URLCtor = URL;
const URLSearchParamsCtor = URLSearchParams;
const URLSearchParamsPrototypeAppend = require_primordials_uncurry.uncurryThis(URLSearchParams.prototype.append);
const URLSearchParamsPrototypeDelete = require_primordials_uncurry.uncurryThis(URLSearchParams.prototype.delete);
const URLSearchParamsPrototypeForEach = require_primordials_uncurry.uncurryThis(URLSearchParams.prototype.forEach);
const URLSearchParamsPrototypeGet = require_primordials_uncurry.uncurryThis(URLSearchParams.prototype.get);
const URLSearchParamsPrototypeGetAll = require_primordials_uncurry.uncurryThis(URLSearchParams.prototype.getAll);
const URLSearchParamsPrototypeHas = require_primordials_uncurry.uncurryThis(URLSearchParams.prototype.has);
const URLSearchParamsPrototypeSet = require_primordials_uncurry.uncurryThis(URLSearchParams.prototype.set);

//#endregion
exports.URLCtor = URLCtor;
exports.URLSearchParamsCtor = URLSearchParamsCtor;
exports.URLSearchParamsPrototypeAppend = URLSearchParamsPrototypeAppend;
exports.URLSearchParamsPrototypeDelete = URLSearchParamsPrototypeDelete;
exports.URLSearchParamsPrototypeForEach = URLSearchParamsPrototypeForEach;
exports.URLSearchParamsPrototypeGet = URLSearchParamsPrototypeGet;
exports.URLSearchParamsPrototypeGetAll = URLSearchParamsPrototypeGetAll;
exports.URLSearchParamsPrototypeHas = URLSearchParamsPrototypeHas;
exports.URLSearchParamsPrototypeSet = URLSearchParamsPrototypeSet;